@echo off
echo:

rem *************************************
rem * Watcom C++ 10.0 PTC example build *
rem * ----------------------------------*
rem * Syntax: wc10x [example] (library) *
rem *                                   *
rem * [example]  = example source name  *
rem * (library)  = "debug" or "release" *
rem *************************************

if not exist "%1.cpp" goto done




rem ****************
rem * Dos platform *
rem ****************

if "%2" == "release" goto release

echo Building "%1.cpp" : DJGPP 2.x dos debug
echo:
gxx -o %1.exe %1.cpp ../../lib/dos/djgpp2.x/debug.lib -I../../src -I-
goto done

:release
echo Building "%1.cpp" : DJGPP 2.x dos release
echo:
gxx -o %1.exe %1.cpp ../../lib/dos/djgpp2.x/release.lib -I../../src -I- -O3
goto done




:done

